import 'package:doctor_app_flutter/widgets/shared/app_scaffold_widget.dart';
import 'package:flutter/material.dart';
import 'package:hexcolor/hexcolor.dart';

import '../../widgets/auth/verification_methods.dart';

/* 
 *@author: Elham Rababah 
 *@Date:4/7/2020
 *@param: 
 *@return:
 *@desc:   Verification Methods screen
 */
class VerificationMethodsScreen extends StatefulWidget {
  const VerificationMethodsScreen({Key key, this.password}) : super(key: key);

  @override
  _VerificationMethodsScreenState createState() =>
      _VerificationMethodsScreenState();

  final password;
}

class _VerificationMethodsScreenState extends State<VerificationMethodsScreen> {
  bool _isLoading = false;

  /* 
 *@author: Elham Rababah 
 *@Date:19/4/2020  
 *@param: isLoading 
 *@return:
 *@desc:   Change Isloading attribute in order to show or hide loader
 */
  void changeLoadingStata(isLoading) {
    setState(() {
      _isLoading = isLoading;
    });
  }

  @override
  Widget build(BuildContext context) {
    return AppScaffold(
        isLoading: _isLoading,
        isShowAppBar: false,
        isHomeIcon: false,
        backgroundColor: HexColor('#F8F8F8'),
        body: ListView(children: <Widget>[
          Container(
            margin: EdgeInsetsDirectional.fromSTEB(30, 0, 30, 0),
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: <Widget>[
                // AuthHeader(loginType.verificationMethods),
                SizedBox(
                  height: 50,
                ),
                VerificationMethods(
                  password: widget.password,
                  changeLoadingStata: changeLoadingStata,
                ),
              ],
            ),
          ),
        ]));
  }
}
